package org.bitbucket.bradleysmithllc.etlunit.metadata;

import org.bitbucket.bradleysmithllc.etlunit.io.JsonSerializable;

import java.io.File;
import java.util.List;
import java.util.Map;

public interface MetaDataArtifact extends JsonSerializable
{
	String getProjectRelativePath();
	String getRelativePath();
	File getPath();
	List<MetaDataArtifactContent> getContents();
	MetaDataArtifactContent createContent(String name);

	void populateAllFromDir();

	Map<String, MetaDataArtifactContent> getContentMap();
}